AOZ Studio Beta - Bug #921

Linux : The AOZ Designer does not launch
10/12/2022 10:37 AM - Baptiste Pillot

Status: New Start date: 08/08/2022
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Affected version:

1.0.0 (B16) u25

Description

Crash when | click the AOZ Designer button : the AOZ Designer child window opens, but its content stays white and the whole IDE is
frozen, | can only close the main window.

crash.png
Another error message when | lauch the AOZ Designer (on a brand new install using Mint 20) :

clipboard-202210191039-kd4ua.png

History

#1 - 10/12/2022 10:42 AM - Baptiste Pillot
- Subject changed from Linux : The AOZ Designer does not launch (B16u25) to Linux : The AOZ Designer does not launch
- Affected version set to 1.0.0 (B16) u25

#2 - 10/19/2022 09:37 AM - Baptiste Pillot

- Target version deleted (none)

#3 - 10/19/2022 10:40 AM - Baptiste Pillot
- File clipboard-202210191039-kd4ua.png added

- Description updated

#4 - 10/20/2022 12:08 PM - Baptiste Pillot

Recherches :

e Dans la version Windows, le fichier app/aoz/tools/designer/html/run/renderer_canvas.js est bien présent, mais pas dans la version Linux. Ceci
explique le premier blocage au lancement du designer, déja. Je ne trouve pas a quel endroit dans le script de déploiement I'envoi de ce fichier
aurait pu étre oublié. D'ailleurs je ne trouve pas a quel endroit le renderer_canvas.js est envoyé dans tous les html/run des outils.

e |a version actuelle a subi beaucoup de modifications, notamment dans le script renderer.js. Je vais avoir du mal a comparer la production
maintenant trop ancienne avec mon environnement de développement.

e J'essaie de reconstruire mon environnement de développement, mais le build_editor/script/build plante sur mon PC. Je ne sais pas si j'ai la
mauvaise version de node, de npm, ou si mon debian>ubuntu>mint est trop récent, mais ¢a bloque.

Je pense que je vais attendre la sortie de la release suivante pour regarder ¢a.
